Skip to navigation

Added

Changed

  • Ats Applications → Retrieve ATS application: Added EXPIRED to the offer_status_enum response field that indicates an offer has expired.

  • Eor Contract → Create an EOR contract: Added job_code and job_category to the response that provide the country-specific occupation code and the job category assigned to the role.

  • Legal Entities → List of legal entities: Added status field to each item in the response that provides the mapped legal entity lifecycle status.

  • People → Retrieve a single person: Added person_status and lifecycle_status to the response that provide the person profile status and work lifecycle stage respectively; also added middle_name and other new response fields.

  • Organizations → Create child organization: Added optional parent_admin_emails and child_admins arrays to the request, allowing callers to specify parent organization admins and child organization admins when creating a child organization.

  • Onboarding → Get onboarding details by employee HRIS profile ID: Added banner, actions, contracts, and app_experience fields to the response, and expanded profile, stepper, contract, progress, checklist, and hris_profile with additional sub-fields.

  • Onboarding → Get onboarding details by onboarding tracker ID: Added banner, actions, contracts, and app_experience to the response, and extended profile, stepper, contract, progress, checklist, and hris_profile with additional sub-fields.

  • Onboarding → List onboarding employees: Added lifecycleStatuses, waitingOnParties, card, weekFromDate, and weekToDate query parameters for filtering; added profile, overview, contracts, pending_steps, invitation_sent, and can_send_invitation to each response item; and expanded contract, progress, hris_profile, and app_experience with additional sub-fields.

  • Eor Offboarding → Retrieve Offboarding Request: Added new values to the reason field in the request_data response, including WORKER_TYPE_CHANGE, DISSATISFIED_WITH_DEEL_SERVICE, DISSATISFIED_WITH_DEEL_PRICING, DISSATISFIED_WITH_DEEL_PRODUCT, DEEL_COLLECTIONS, and additional employee departure reason codes.

  • Time Off → Create time-off request: Added custom_field_values to the request and response that allows submitting and retrieving answers to custom fields declared by the time-off policy.

  • Time Off → Validate time-off request: Added custom_field_values to the request and custom_fields and custom_field_validation_results to the response to support submitting and validating custom field answers declared by the time-off policy.

  • Time Off → List time-off requests for Organization: Added Bereaved partner's paternity leave, Carer's leave, Neonatal care leave, Parental bereavement leave, and Shared parental leave as accepted values for the policy_type_names filter parameter.

  • Time Off → List policies: Added has_custom_fields, is_requiring_custom_fields, and custom_fields to the response, and expanded the policy_type_name query parameter with additional allowed values.

  • Time Off → Process time-off requests from an external HRIS: Added new accepted values to policy_type in the request: Bereaved partner's paternity leave, Carer's leave, Neonatal care leave, Parental bereavement leave, Shared parental leave, and Work Location.

  • Time Off → Get Profile Entitlements: Added five new values to the policy_type_name filter: Bereaved partner's paternity leave, Carer's leave, Neonatal care leave, Parental bereavement leave, and Shared parental leave.

  • Time Off → List time-off requests: Added Bereaved partner's paternity leave, Carer's leave, Neonatal care leave, Parental bereavement leave, and Shared parental leave as accepted values for the policy_type_names filter parameter.

  • Time Off → Get Policies for Organization: Added five UK family leave types to the policy_type filter: Bereaved partner's paternity leave, Carer's leave, Neonatal care leave, Parental bereavement leave, and Shared parental leave.

  • Ats Locations → Retrieve a list of ATS locations: Added include_archived query parameter to include archived locations in the response, and added archived_at response field indicating when a location was archived.

  • Ats Tags → List tags: Added include_archived query parameter to include archived tags in the response, and added archived_at field to the response that indicates when a tag was archived.

  • Ats Departments → Retrieve a list of ATS departments: Added include_archived query parameter to include archived departments in the response, and added archived_at response field indicating when a department was archived.

  • Ats Reasons → Retrieve paginated list of ATS Rejection/Archivation reasons: Added include_archived query parameter to include archived reasons in the response, and added archived_at response field indicating when a reason was archived.

  • Ats → Retrieve a list of ATS teams: Added include_archived query parameter to include archived teams in the response, and added archived_at response field indicating when a team was archived.

  • Users → List users: Added jobProfile field in the response that provides the worker’s active job profile from job architecture, and departmentCustomFields field that provides org-structure custom fields for the department node.

  • Users → Retrieve a single User: Added jobProfile field in the response that provides the worker’s active job profile from job architecture, and departmentCustomFields field that provides org-structure custom fields for the department node.